Forum Linux.debian/ubuntu Lyx 1.6.0-1 comment revenir à une version précédente ?

Posté par .
Tags : aucun
0
10
nov.
2008
Bonjour;

Comme certains içi j'utilise lyx pour créer la plupart de mes documents. Cependant cela devient dificilement possible sous debian sid. Le dernier upgrade m'a mis à jour lyx vers la version 1.6.0-1 et cette version n'arrive pas à lire mes fichiers créé avec la version précédente de ce logiciel.
Ayant tout mes cours d'université en fichier lyx, je suis bien embêté.
Puis je annuler cette mise à jour et ensuite bloquer le paquet lyx à une version 1.5 ?
  • # apt-pinning

    Posté par . Évalué à 2.

    Si les versions des paquets que tu as actuellement ne t'en empêche pas tu peux faire de l'apt-pinning

    Quelques tuyaux :
    - /etc/apt/source.list ==> là tu déclares les différents dépots (stable, testing et sid)
    - /etc/apt/preferences ==> là tu déclare le nom de ton paquet et la version à laquelle tu souhaites rester

    pour installer un paquet provenant d'une version spécifique
    apt-get -t stable install lyx

    Pour la mise en pratique je te laisse regarder le man et google.

    a+
    • [^] # Re: apt-pinning

      Posté par . Évalué à 1.

      J'utilise déja ce procédé pour les dépôts experimental (kde4, amarok2). Avoir lyx provenant de testing ne sera pas un problème ?
      • [^] # Re: apt-pinning

        Posté par . Évalué à 2.

        ça dépend des dépendances de lyx. Moi je faisais ça pour unison, j'utilisais la version stable sur dans une testing ainsi que d'autres paquets provenant de sid.

        apt t'informera de la faisabilité avant l'installation.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.